// ID:阶数, ActiveId:激活奖励, ActiveCount:激活奖励数量, SubAllowCount:低保次数

export default class M_ActivityFishingCeleStage {
  private static data =
      {"1":{"ID":1,"ActiveId":[1,302,24],"ActiveCount":[88888,10,1],"SubAllowCount":1}

      ,"2":{"ID":2,"ActiveId":[1,302,25],"ActiveCount":[120000,100,1],"SubAllowCount":6}

      ,"3":{"ID":3,"ActiveId":[1,302,25],"ActiveCount":[300000,200,1],"SubAllowCount":12}

      ,"4":{"ID":4,"ActiveId":[1,302,26],"ActiveCount":[680000,300,1],"SubAllowCount":30}

      ,"5":{"ID":5,"ActiveId":[1,302,26],"ActiveCount":[1280000,400,1],"SubAllowCount":56}

      ,"6":{"ID":6,"ActiveId":[1,302,27],"ActiveCount":[3280000,500,1],"SubAllowCount":148}

      }// ID:阶数, ActiveId:激活奖励, ActiveCount:激活奖励数量, SubAllowCount:低保次数


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}